Bug 7091 - Patches required to make the packages know about the 3.6 release
Summary: Patches required to make the packages know about the 3.6 release
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-26 02:01 UTC by Robin Sheat
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7091 - [MASTER] - update the build version for packages from master (842 bytes, patch)
2011-10-26 02:05 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series (1.30 KB, patch)
2011-10-26 02:12 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7091 - [3.6.x] - update the build script for 3.6 stable series (770 bytes, patch)
2011-10-26 02:14 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7091 - [3.6.x] - update the build script for 3.6 stable series (884 bytes, patch)
2011-11-04 10:17 UTC, Mason James
Details | Diff | Splinter Review
Bug 7091 - [MASTER] - update the build version for packages from master (957 bytes, patch)
2011-11-04 10:23 UTC, Mason James
Details | Diff | Splinter Review
Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series (1.41 KB, patch)
2011-11-04 10:26 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-10-26 02:01:53 UTC
This is going to be a couple of patches to ensure that the packages build nicely.
Comment 1 Robin Sheat 2011-10-26 02:05:15 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2011-10-26 02:12:09 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2011-10-26 02:14:35 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2011-10-26 02:22:14 UTC
Note: these are all very small patches that are really only changing version numbers and internal documentation, they can probably get away with being less diligently checked than usual.
Comment 5 Mason James 2011-11-04 10:17:52 UTC
Created attachment 6191 [details] [review]
Bug 7091 - [3.6.x] - update the build script for 3.6 stable series

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 6 Mason James 2011-11-04 10:23:35 UTC
Created attachment 6192 [details] [review]
Bug 7091 - [MASTER] - update the build version for packages from master

This updates the default version number that packages are build with to
be 3.7. This should be applied to master only.

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 7 Mason James 2011-11-04 10:26:55 UTC
Created attachment 6193 [details] [review]
Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series

This brings all the changelog entries for releases up to what has been
included in the packages

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 8 Ian Walls 2011-11-04 17:57:51 UTC
All patches are easy to read, and update numeric or textual values.  Marking as Passed QA
Comment 9 Paul Poulain 2011-11-06 10:53:01 UTC
Sorry guys, does not apply anymore because of a small glitch in debian/build-git-snapshot
I'm totally unable to decide how it should be fixed, so I let you fix it.
Comment 10 Robin Sheat 2011-11-23 05:11:12 UTC
The master patch set applies:

robin@zarathud:~/catalyst/koha$ git bz apply 7091
Bug 7091 - Patches required to make the packages know about the 3.6 release

Bug 7091 - [3.6.x] - update the build script for 3.6 stable series
Apply? [yn] n
Bug 7091 - [MASTER] - update the build version for packages from master
Apply? [yn] y

Applying: Bug 7091 - [MASTER] - update the build version for packages from master
Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series
Apply? [yn] y

Applying: Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series
/home/robin/catalyst/koha/.git/rebase-apply/patch:12: trailing whitespace.
  * New upstream release (3.04.05) 
/home/robin/catalyst/koha/.git/rebase-apply/patch:24: trailing whitespace.
  * New upstream release (3.04.03) 
warning: 2 lines add whitespace errors.

...checking the 3.6 ones now.
Comment 11 Robin Sheat 2011-11-23 05:13:44 UTC
The 3.6.x patch set also applies:

robin@zarathud:~/catalyst/koha$ git checkout kc/3.6.x
HEAD is now at 16189ed... Joy nelson was already in history.txt, removing the entry (cherry picked from commit 9c5d3ea3aa28b71f0fb4148b8fdf9f2a002f79f5)
robin@zarathud:~/catalyst/koha$ git bz apply 7091
Bug 7091 - Patches required to make the packages know about the 3.6 release

Bug 7091 - [3.6.x] - update the build script for 3.6 stable series
Apply? [yn] y

Applying: Bug 7091 - [3.6.x] - update the build script for 3.6 stable series
Bug 7091 - [MASTER] - update the build version for packages from master
Apply? [yn] n
Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series
Apply? [yn] y

Applying: Bug 7091 - [MASTER/3.6.x/3.4.x] - update the changelogs for the 3.4 series
/home/robin/catalyst/koha/.git/rebase-apply/patch:12: trailing whitespace.
  * New upstream release (3.04.05) 
/home/robin/catalyst/koha/.git/rebase-apply/patch:24: trailing whitespace.
  * New upstream release (3.04.03) 
warning: 2 lines add whitespace errors.



... I suspect you were trying to apply all the patches, not the ones for the particular branches?
Comment 12 Paul Poulain 2011-11-24 10:49:16 UTC
Patch pushed, please test

chris_n = you'll have to apply the 3.6.x patches (not the [MASTER] one)
Comment 13 Jared Camins-Esakov 2012-05-23 12:46:30 UTC
Incorporated in both 3.6.x and 3.4.x.